# Interface methods for submodule: KernelTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformProxy as _TransformProxy


# Interface methods for class: KernelTransform
class KernelTransformProxy(_TransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetModifiableSourceLandmarks(self):
		""""""
		...

	def GetSourceLandmarks(self):
		""""""
		...

	def SetSourceLandmarks(self, arg0) -> None:
		""""""
		...

	def GetModifiableTargetLandmarks(self):
		""""""
		...

	def GetTargetLandmarks(self):
		""""""
		...

	def SetTargetLandmarks(self, arg0) -> None:
		""""""
		...

	def GetModifiableDisplacements(self):
		""""""
		...

	def GetDisplacements(self):
		""""""
		...

	def ComputeWMatrix(self) -> None:
		""""""
		...

	def TransformPoint(self, thisPoint: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, arg0: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	def TransformCovariantVector(self, arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToPosition(self, arg0: Sequence[float], arg1: vnl_matrix_fixed) -> None:
		""""""
		...

	def SetParameters(self, arg0) -> None:
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def UpdateParameters(self) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

	def GetTransformCategory(self):
		""""""
		...

	def SetStiffness(self, _arg: float) -> None:
		""""""
		...

	def GetStiffness(self) -> float:
		""""""
		...

